//! Helpers to use cryptographic data types in nettext

#[cfg(feature = "blake2")]
mod b2;

#[cfg(feature = "blake2")]
pub use b2::*;

#[cfg(feature = "ed25519-dalek")]
mod ed25519;

#[cfg(feature = "ed25519-dalek")]
pub use ed25519::*;

/// An error corresponding to a cryptographic check that failed
pub enum CryptoError {
    /// A hash verification failed
    InvalidHash,
    /// A signature verification failed
    InvalidSignature,
}
